### Method

# Clutter ActorBox interpolate

#### Declaration [src]

    void
    clutter_actor_box_interpolate (
      const ClutterActorBox* initial,
      const ClutterActorBox* final,
      gdouble progress,
      ClutterActorBox* result
    )

#### Description [src]

Interpolates between `initial` and `final` `ClutterActorBox`es using `progress`.

#### Parameters

`final`

  Type: `ClutterActorBox`

  The final `ClutterActorBox`.

  The data is owned by the caller of the method.

`progress`

  Type: `gdouble`

  The interpolation progress.

`result`

  Type: `ClutterActorBox`

  Return location for the interpolation.

  The argument will be set by the function.
  The returned data is owned by the instance.